%define upstream_name Crypt-OpenSSL-ECDSA
%define upstream_version 0.07

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Perl extension for OpenSSL ECDSA (Elliptic Curve Digital Signature Algorithm)
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Crypt::OpenSSL::EC)
BuildRequires:	perl-devel
BuildRequires:	pkgconfig(openssl)

%description
Perl extension for OpenSSL ECDSA (Elliptic Curve Digital Signature Algorithm).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorarch}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.70.0-3.mga6
+ Revision: 1024525
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.70.0-2.mga6
+ Revision: 956975
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 848480
- imported package perl-Crypt-OpenSSL-ECDSA

